Introduction

Contains 0 Sub-Categories and 2 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Interface Introduction ( Type : INFO: , ID : 12401 )
Source versions tested ( Type : INFO: , ID : 12402 )

ID : 1R5R1I , Online Version
© 2009 HACH Company, All rights reserved.


Interface Introduction

Documentation : Introduction

The Hach WIMS Direct Server-Side Interface to Trihedral VTS HMI imports data from Trihedral Engineering Limited's VT SCADA System into Hach WIMS.

The interface was developed to query data from the Trihedral VTS HMI History tables using the VTS ODBC Driver. The interface requires that the VTScada default Historian Data Storage option is used which saves historian tags to a VTScada proprietary database system within the application's data folder. The interface then queries data from the VTScada ODBC Server, an optional component of VTScada that must be purchased with your VTScada license agreement, via SQL Statements.

You must install the VTScada ODBC driver - run VTSODBCDriverInstall.exe program from VTScada to install the driver.

Versions Tested:

Trihedral VTS Versions (as of May 2014):

VTScada Version | Testing status
11.2 | Tested September 2016
10.x | Tested May 2014 Version 10.2.19, 64 bit
9.x | Unknown
8.x | Unknown
7.x | Unknown

The tables are named from the tag names and the interface pulls data from TIMESTAMP and VALUE fields. The data is then summarized depending on how the collection point in Hach WIMS Client is defined.

This is an example of a data table taken from a Trihedral VTS System. The Data Source Name (DSN) is WaterLevels and the Tag Name is AI001:

ID : 12401 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Source versions tested

Documentation : Introduction

This interface was designed from the Trihedral Engineering Limited, VT SCADA Software, Developer Guide, Version 9.0

ID : 12402 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


How To

Contains 0 Sub-Categories and 9 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Change Configuration Protection Password ( Type : HOWTO: , ID : 12055 )
Configuration is Password Protected ( Type : HOWTO: , ID : 12056 )
Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL) ( Type : HOWTO: , ID : 12041 )
Hach WIMS Super User Credentials ( Type : HOWTO: , ID : 12057 )
Pick Hach WIMS Variables to Import Into ( Type : HOWTO: , ID : 12059 )
Step-by-Step Instructions on How to Configure Interface ( Type : HOWTO: , ID : 12069 )
Using Common Buttons ( Type : HOWTO: , ID : 12039 )
Using Main Interface Screen ( Type : HOWTO: , ID : 12036 )
Using Select Date Range to Import ( Type : HOWTO: , ID : 12058 )

ID : 3K1K8H , Online Version


Change Configuration Protection Password

Documentation : How To

Requiring a password for configuration changes will prevent unauthorized or accidental tampering with your configuration from within the interactive mode.

From the interface, select Configuration and Advanced Configuration. Click on the Protection tab.

Click on the box next to Require Password to Change Configuration and Save Settings button.

Use this screen to set a new configuration protection password.

NOTE: The default password is '12345'. If you configure the interface to use a password and later remove the password check, it will reset to '12345' again.

ID : 12055 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configuration is Password Protected

Documentation : How To

The configuration is password protected if you changed it in Change Configuration Protection Password. You must enter the correct password in order to save any changes to the configuration of this interface.

See Advanced Configuration if you want to disable the password protection.

NOTE:
If your configuration is protected with a password, you must know the password before you can disable the password check.

keywords : configuration,password
ID : 12056 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)

Documentation : How To

In order to use a Hach WIMS Server-Side Interface, you must do the following:

  1. Start your Hach WIMS Client and navigate to the System Setup -> System Tables -> Entire System -> Server-Side Interface Setup menu selection:

  2. If the "Server-Side Interface Setup" screen shows no interfaces, or the one you want to configure is not shown, you have to:
    • Is the interface definition file uploaded? Click the New button to determine if the definition file is uploaded, and see if it appears in the list of interfaces. If it is there, continue to step 3.
    • If the definition file is not uploaded, click the New Definition button and navigate to the g2_server_lu file located where the interface is installed. (Alternatively, you can select Utilities - Upload Definition File to Hach WIMS)
  3. With the definition uploaded (or present), click the New button and create an instance of the server side interface. You can have multiple interface sources for the same definition.

    In this example, we are using the Random Number Generator interface. Select the name of your interface, click Next, and select the version.
  4. Configure the interface:

    Make note of the "Name of Interface" field - this is how your interface will be identified. In this case - it is "Random Number Generator". Fill in a "Description" and select the "Collector Time Zone", in this case, it is set to Mountain Time (US & Canada). Click OK to create the interface record.
  5. Configure Browser - Click on the Browser tab and enter the requested information to allow the Hach WIMS Client the ability to browse tags from the source system. In some cases, you will need to install an OLE DB driver, on the Hach WIMS Client computer, that will allow communications to the source system. If it is impossible to configure this option, or you wish to do this later - uncheck the Enable button on the Browser tab.
  6. Go to System Setup -> Edit/View Variables.
  7. Go to the variable you wish to configure for storing interface data:

    Click the Interface tab on the variable you are configuring, then click the Interface To radio button and select the interface needed for this variable. The area below will fill up with the settings needed to finish configuring this variable.
  8. For detailed instructions on configuration of variables, look for the 'Supported Variable Configurations For Interface ...' article in the 'Topics specific to the operation of this Interface' chapter.

keywords : g2,collector,client,server,side
ID : 12041 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Hach WIMS Super User Credentials

Documentation : How To

To enable this feature, select Configuration -> Advanced Configuration. Then check the "Require Hach WIMS Super User Login Credentials to Import Data In Interactive Mode" setting.

You must provide the correct user name and password in order to import data in interactive mode.

Contact your Hach WIMS Administrator for help if you do not know the username and/or password.

ID : 12057 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Pick Hach WIMS Variables to Import Into

Documentation : How To

Only variables assigned to this interface will be listed. Select the variables to import data into from the source.

HINT: You can hold the CTRL or CTRL/SHIFT buttons down when clicking in order to select multiple entries

Buttons:

Import data for the selected variables.
Select all variables in the list.
Select no variables - deselects all variables from the list.

All other buttons are explained in Using Common Buttons.

ID : 12059 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Step-by-Step Instructions on How to Configure Interface

Documentation : How To

You will need to follow these steps in order to configure your interface :

  1. You must have Hach WIMS Database Management System installed and running. This can be running from anywhere on your network, but can also be running on the same computer as your interface.
  2. You must have Hach WIMS Client installed. Make sure you can log into Hach WIMS Database Server using Hach WIMS Client.
  3. Run your interface in Interactive mode by clicking on its entry in your windows Start Menu.
  4. Configure a connection to your Hach WIMS Server. Use Configuration - Connection to Hach WIMS to do this.
  5. Upload interface definition file to Hach WIMS Server. Use Utilities - Upload definition file to Hach WIMS to do this.
  6. You will need to assign a collector record to your interface. First the record must be created. You will need to configure Hach WIMS Client for a server side interface.
  7. Now you are ready to assign the collector record created in the previous step to your interface. Use Configuration - Collector Configuration to do this.
  8. You need to link at least one Hach WIMS variable to the chosen collector record.
  9. Configure the source so that interface can read from the source system.
    Locate the 'Configuration -> Source Configuration' article in the 'Topics specific for operation of Interface' chapter to gain instructions on how to do it.
  10. Save all configuration Settings by clicking on Configuration -> Save All Configuration.
  11. You are now ready to use the interface.

Furthermore, You may want to configure Automated Import. Use Configuration - Automated Import Configuration to do this.

ID : 12069 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Common Buttons

Documentation : How To

Common Hach WIMS Interface Buttons:

Displays help for the current interface screen.
Applies the current settings.
Attemps to apply the current changes and save them permanently. The save will fail if the settings cannot be applied first.
Closes the current window - no changes are saved.
Cancel the current activity/operation.

keywords : buttons
ID : 12039 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Main Interface Screen

Documentation : How To

This is the main interface interactive screen.

When running in interactive mode, you can set the various interface configuration settings, monitor & control the interface service, as well as interactively collect data.

The main parts of the of the screen of interest are:

  • Main Menu
  • The Shortcut Buttons:

    Import all data.
    Import data for selected variables.
    Monitor service activity.
    Display help for the current window.
    Display general interface information.
    Exit the interactive interface session.

  • The Interface Messages & Notification area - the white background area displays scrolling text regarding the interface's activity. All manner of data is logged here, including data collection status, errors, warnings and other general information regarding the interface's current activity.

    Depending on the Verbosity level set, you may or may not see all information.

    If there is a directory called "Log" in the interface directory, the interface will also log to a text file of the form:
    <mm_dd_yyyy__hh_mm_ss_interactive.log>

    E.g., if the current date is 2/26/2009 and the current time is 3:02:13 PM, the file will be called:
    02_26_2009__15_02_13_interactive.log.

  • The status bar, at the bottom of the screen, displays miscellaneous information regarding the interface.

ID : 12036 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Select Date Range to Import

Documentation : How To

When importing data for one or more specified variables, you have to specify the date range of the source data you want to get.

You can do this in 2 ways:

  1. Use both the Start & End Date Pickers

    - OR -
  2. Use a start/end date quick shortcut:

Buttons:

Import data for the selected dates

Other buttons are described in Using Common Buttons.

Principle 1: Data will be imported based on the Start and End Date and Time and how the variable's Stop Time is set up. The Stop Time must fall within the date range requested.

Principle 2: Data is stored on the date and time of the variable's Start Time.

For example: We set a variable with Start Time of 08:00 and a Stop Time of 08:00, and select Day After Start as shown below.

Then I run the interface to pull data for March 3, 2009 00:00:00 to March 4, 2009 08:01:00.

The interface will return a value for March 2 and March 3. Why? The stop time is our requested date range starting on March 3, 2009 with a stop time of 8 AM. The stop time is computed to March 3, 2009 08:00:00. Since we selected the stop as day after start, the start time is March 2, 2009 at 08:00:00. According to principle #2, the data point is stored on the start time.

So for our example:

Requested Date | Start Date and Time | Stop Date and Time
March 3, 2009 | March 2, 2009 08:00:00 | March 3, 2009 08:00:00
March 4, 2009 | March 3, 2009 08:00:00 | March 4, 2009 08:00:00

If we had set our date range from March 3, 2009 00:00:00 to March 4, 2009 07:59:59, then the interface would return only the first record, because stop time of March 4, 2009 08:00:00 in the second record, is past the end date and time of our range.

If we had set our date range from March 3, 2009 08:01:00 to March 4, 2009 08:01:00, then the interface would return only the second record, because the Stop Date and Time of the first record (March 3, 2009 08:00:00) does not fall within our start and end date range.

ID : 12058 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Main Menu

Contains 0 Sub-Categories and 17 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Automated Import - Activity Log View ( Type : INFO: , ID : 12049 )
Automated Import - Modify Last Ran Dates ( Type : INFO: , ID : 12051 )
Automated Import - Status and Control ( Type : INFO: , ID : 12047 )
Configuration - Advanced Configuration : Source Input Cache ( Type : INFO: , ID : 12132 )
Configuration - Advanced Configuration: Additional Info ( Type : INFO: , ID : 12598 )
Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field ( Type : INFO: , ID : 12599 )
Configuration - Advanced Configuration: Unit Conversion ( Type : INFO: , ID : 12328 )
Configuration - Automated Import Configuration ( Type : INFO: , ID : 12044 )
Configuration - Collector Configuration ( Type : INFO: , ID : 12042 )
Configuration - Connection To Hach WIMS ( Type : INFO: , ID : 12037 )
File - Exit ( Type : INFO: , ID : 12035 )
File - Import All ( Type : INFO: , ID : 12034 )
File - Import For Selected Variables ( Type : INFO: , ID : 12038 )
Test - Source Read Test SCADA to Hach WIMS ( Type : INFO: , ID : 12054 )
Test - Test Connection to Hach WIMS ( Type : INFO: , ID : 12052 )
Test - Test Import All ( Type : INFO: , ID : 12053 )
Utilities - Upload Definition File to Hach WIMS ( Type : INFO: , ID : 12040 )

ID : 4D8L1F , Online Version


Automated Import - Activity Log View

Documentation : Main Menu

For Automated Import options, click the Automated Import button on the top menu bar of the interface.

The Activity Log View lets you view the interface NT Service log.

Buttons:

Force refresh of the service log view. To shorten the refresh interval, see Configuration - Advanced Configuration.
View the full service log.

The rest of the buttons are explained in Using Common Buttons.

NOTE:
If the log cannot be read, make sure the service name is correct and that it's running. See Automated Import - Status and Control on how to start the service if it's not running (assuming the service name is correct) and see Configuration - Advanced Configuration on how to view/change the service name.

keywords : activity,log
ID : 12049 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Modify Last Ran Dates

Documentation : Main Menu

This screen lets you modify the per-facility Last-Ran Date of the interface.

NOTE:
This is different than the default Last-Ran Date described in Configuration - Automated Import Configuration , which is the default Last-Ran Date for ALL facilities that have not had any data imported.

keywords : last,ran
ID : 12051 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Status and Control

Documentation : Main Menu

The NT Service Status and Control screen lets you monitor the state of interface service, and start or stop the service (Note: you must be logged in as a Windows Administrator):

The name of the service is displayed in the bottom left (see screenshot) corner of the screen. This is the name of the service that the interactive program is configured to monitor.

If this is NOT the name of the service, you can change it from the Configuration - Advanced Configuration screen.

Buttons:

Start the service, if it is not running.
Stop the service, if it is running.

All other buttons are explained in Using Common Buttons.

keywords : import,status,control
ID : 12047 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration : Source Input Cache

Documentation : Main Menu

Source Input Cache Configuration, is used to configure criteria for caching, if the interfaces supports caching and the option is Enabled. Caching is used to load more data into memory at one time, and retain it for processing variables instead of continuously rereading source data from disk. This will speed up processing, but uses more computer resources - such as memory. Set the parameters to set thresholds for processing chunks of data and so that the interface does not surpass the limitations of your computer.

(Note: Not all interfaces have this feature available)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

ID : 12132 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Additional Info

Documentation : Main Menu
Additional Info, if enabled, is used to configure a cross reference map between fields in the source system and result additional info fields in Hach WIMS. This cross reference map will be then used by the interface during data import.

This feature can be turned off. Simply click the Disable radio button under Write Data Into Additional Info Fields in Hach WIMS.

The number of successful writes to additional information can be Enabled or Disabled. Click the appropriate radio button under Log Number of Successfully Written Fields during Import.

(Note: Not all interfaces have this feature available)

  1. Click on any button in the Source Field Identifier column to pick a source field.
  2. Click on any button in the Target WIMS Facility Identifier.Field Identifier column to pick a target field.
  3. Right click on any button, and click on Clear Cell to erase contents of a cell.

Notice the example output below from Hach WIMS Client > Spread Report Design, additional info is only imported when there is a valid result imported. Also notice how we have the field set up in Additional Info and how we recall the data in Spread Reports.

NOTE: When interfacing to two (2) or more facilities you MUST map each facility. For example, I am importing data into the OPSEID facility database and the OPSDEERCRK facility. I would map AI_COLUMN_1 thru AI_COLUMN_4 for each facilty:

ID : 12598 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field

Documentation : Main Menu

Pick WIMS Facility Additional Info Field window lists all available additional info fields for all facilities connected to your Hach WIMS server.

Select a row to highlight a field, and click the Pick button.

ID : 12599 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Unit Conversion

Documentation : Main Menu

Unit Conversion, if enabled, is used to configure unit conversion when the "units" from the source are different than the "units" in Hach WIMS.

This feature can be turned off, simply click the Disable radio button under Convert Result from Source Unit to Hach WIMS Unit.

(Note: Not all interfaces have this feature available)

  1. Under Source Unit enter the text value as it is in the source
  2. Select the Conversion Algorithm

    • Multiplication - Multiply the source result by the Factor before writing to Hach WIMS
    • Degrees F to C - Convert degrees Fahrenheit to degrees Celsius
    • Degrees C to F - Convert degrees Celsius to degrees Fahrenheit
  1. Enter the Factor amount, how much to multiply the source result by before writing to Hach WIMS. When using the Degrees conversion, enter a 1 (one)
  2. Enter the Hach WIMS Unit that the Hach WIMS variable will be using

For example, the source result is stored in parts per million ("ppm") and it needs to be converted in Hach WIMS as parts per billion ("ppb"). You could add the following conversion:

(Note: this is one of the default conversions included)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

keywords : Configuration,Advanced,Configuration,Unit,Conversion
ID : 12328 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Automated Import Configuration

Documentation : Main Menu

Each interface can be configured to run as a service. This is when you want to schedule an automatic retreival of data, without user intervention.

The Automated Import Configuration screen allows you to configure the schedule, whether to submit calculation requests, the Last-Ran Date, and the import operation mode:

  • Automated Import Schedule - configure when the interface service is scheduled to run:
    • Daily -the interface will run ONCE per day, at the specified schedule. E.g., to run it at 2:30 am, you would enter "2" into the hours box and "30" into the minutes box. Note that time is entered in "military" format. To enter 4:45 pm, you would enter "16" into the hours box, NOT 4.
    • Hourly - the interface will run every hour at the specified minute after the hour
    • Minutely- the interface will run every X minutes where X is a number between 1 and 1440. E.g., to run it every 5 minutes, you would enter "5".
  • Calculations After Automated Import - select this option if you would like the Hach WIMS AdoCalc service to recalculate all variables within every facility after an import operation completes.
  • Default Last Run Date - this is the point in time from which the interface service will try to retrieve data, up until the current point in time. After a successful run, the current time will become the last run time. By default, this is set to one day prior to the current day.

    E.g., assume today is February 25, 2009, if you have just installed the interface and have 3 months of historical data you want imported into Hach WIMS. You should enter November 25, 2008 as the Last-Run Date (3 months prior to February 25th). Once the interface completes its run, the Last-Run Date will be set to February 25, 2009 automatically. The next time it runs (assuming it runs Daily), February 26, 2009, it will only fetch one day's worth of data.
  • Constant to Add to Start Date Each Time Import Runs - Enter the number of minutes to add to the Start Date when the interface runs in automatic mode. This allows the interface to capture data from previous runs that might not have been available at that time.
    • During automated import, interface queries source data for the following date range :
      from (Last Run Date/time + Constant to Add to Start Date Each Time Import Runs ) to (current date / time )

      If your source system does not yet contain the needed data at the time of automated import, use this setting to push back the from parameter. For instance, if you need the import to start 2 hours before Last Run Date/time, you need to enter value of -120 (negative 120) to Constant to Add to Start Date Each Time Import Runs

      NOTE: Situations when you would need to input a positive value in this field are very rare.
      Value of 0 (default) has no negative or positive effect on start date.
  • Import Operation Mode -Real mode imports data into Hach WIMS where as Test does not actually import data, but tests the query capability and timing of the interface.

Buttons:

The buttons are explained in Using Common Buttons.

keywords : automated,import
ID : 12044 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Collector Configuration

Documentation : Main Menu

The Collector Configuration is the place where you configure the source of your data - the SCADA/LIMS system that holds the data you want to import.

NOTE: Before you can configure the collector, you MUST configure the Connection to Hach WIMS and you must setup the Hach WIMS client.

Select Which Hach WIMS G2 Interface Am I for this interface. The names that appear in the drop-down box are the ones that were configured in the Hach WIMS Client. This name is then tied to this interface and is unique.

Buttons:

The buttons are explained in Using Common Buttons.

If the Interface you are using has a separate Collector Utility that generates OPSDATAXML files that it reads from, you can configure and launch it from here.

Opens a screen that allows you to configure the Collector's settings

Starts the Collector utility

keywords : collector,configuration
ID : 12042 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Connection To Hach WIMS

Documentation : Main Menu

The Connection to Hach WIMS screen lets you configure how the interface will connect to Hach WIMS Database Server.

This is one of the first items you configure when setting up a new interface.

  • Data Source - this field specifies, in loose terms, the "Database/Datasource server name" where your Hach WIMS system is configured to store data. "Database/Datasource server name" means different things depending on whether you are running against Oracle or MS SQL:
    • Oracle - you can type in either the Oracle TNS name or a string in the form of host:port/SID, if using the Oracle HOSTNAME adapter.
    • MS SQL - this is in the form of host\sql_instance_name
  • Database Type -select the appropriate type of your Hach WIMS database
  • OLE DB Provider - this specifies which "database driver" the interface will use when connecting to Hach WIMS and again depends on the database type:
    • Oracle - the default string should be fine
    • MS SQL - if connecting to MS SQL 2005 or later, use the native client to connect. Specify SQLNCLI as the provider. NOTE: You will need to have the Microsoft SQL Native Client installed for this to work. If connecting to MS SQL 2000, specify SQLOLEDB as the provider.
  • Connection Timeout in Seconds - how many seconds the program should wait when establishing a connection to the Hach WIMS database before aborting.
  • Command Timeout in Seconds - specifies how many seconds the program should wait for a query to complete before aborting the operation.

    WARNING: Large values for these two settings can cause the program to not respond for a long period of time! Do NOT use 0 unless you know what you are doing - it will cause the program to wait indefinitely, and if your database server is down, the only way to cancel the operation is to forcefully quit the program.
  • Customizations - this should be left empty unless you were told otherwise by a Hach Support Engineer or you know what you are doing.

Buttons:

Test to see if the connection settings are valid and the interface is able to connect to Hach WIMS client. This will NOT Apply or Save the settings.

The other buttons are explained in Using Common Buttons.

keywords : connection,wims
ID : 12037 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Exit

Documentation : Main Menu

Terminates the interactive interface program.

NOTE:

Clicking "Exit" only closes the interactive interface session. Since the interface can be configured to run as a Windows Service, clicking "Exit" does NOT affect this service, it will continue collecting data. The service can be scheduled to collect data anytime, whether a user is logged on to the machine or not. The service for the interface will continue collecting data whether the interactive program is running or not.

keywords : interface,exit
ID : 12035 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import All

Documentation : Main Menu

Imports all data for all variables.

keywords : import,all
ID : 12034 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import For Selected Variables

Documentation : Main Menu
Imports data for the selected variables.

keywords : selected,vars,import
ID : 12038 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Source Read Test SCADA to Hach WIMS

Documentation : Main Menu

For testing options, click on the Testing menu option at the top menu bar of the interface.

The Source Read Test functionality is useful for source testing purposes.

Use this screen to look at source data for specific dates, using different statistics (MINIMUM, MAXIMUM, AVERAGE, etc).
This is useful when you want to look at source data on specific dates, WITHOUT doing an actual import. (No data will be overwritten on the Hach WIMS database.)

To do a test, you will need to specify a tag in the Source Tag field.
Then, for each tag, you can specify:

  • The Source Statistic to apply (MINIMUM, MAXIMUM, AVERAGE, etc).
  • The start and end dates you want data fetched.
  • The high & low ranges, as well as the dead-band (optional).
  • The filter tag - a second source tag that acts as a filter to the main selected tag (optional).

Buttons:

Interpret the tag as a double (floating-point) tag and return a floating-point number.
Interpret the tag as a string tag and return the result as a string.
Closes the window.

keywords : source,read,test
ID : 12054 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Connection to Hach WIMS

Documentation : Main Menu
Perform a test against the Hach WIMS connection to see if the connection is valid

keywords : test,connection
ID : 12052 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Import All

Documentation : Main Menu
This performs a test import for all interface-configured variables. Note that no actual data will be written to the Hach WIMS database.

keywords : test,import,all
ID : 12053 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Utilities - Upload Definition File to Hach WIMS

Documentation : Main Menu

This feature allows you to upload the interface definition (g2_server_lu) file to the Hach WIMS database. This is needed in order to setup a collector record in Hach WIMS.

Once the definition file has been uploaded, proceed with creating a collector record in Hach WIMS Client.
The process to setup a collector record is outlined in How to configure the Hach WIMS Client for a server-side interface.

keywords : upload,definition
ID : 12040 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release notes

Contains 0 Sub-Categories and 2 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Release Notes for Hach WIMS Server-Side Interface Platform ( Type : INFO: , ID : 12033 )
Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface ( Type : INFO: , ID : 12068 )

ID : 0T4B7D , Online Version


Release Notes for Hach WIMS Server-Side Interface Platform

Documentation : Release notes

Build 149 (9/16/2015)

  • Menu item Support>Am I licensed for this interface now works with new licensing system.

Build 147 (8/21/2015)

  • Added GetLocationPath to CommonGlobals (4660)

Build 146 (6/2/2015)

  • Fixed error condition when LockDate is not set in the database (4605)

Build 145 (7/3/2014)

  • Minor update of UI for Windows 7 (4431)
  • Minor update of Automated Import Configuration for Windows 7 (4466)

Build 142 (10/1/2013)

  • Improved Time/Date syncing issues experienced by some clients (4207)
  • Added a database connection throttle (performance throttle) advanced configuration option that pauses between source queries allowing other database process events to execute (4267)

Build 137

  • Modified to handle the new licensing for SQL Server 2012.(4202)
  • Handled out of memory error when the interfaces are ran with many variables and date ranges.(4158)
  • A change was added to keep the database connection open during the import process.(4106)

Build 135

  • Changed logging to user interface (LogToUI) to prevent an "Out of Memory" error when extensive amount of text lines are written to the interfaces list box. (4158)

Build 116

  • Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Build 100

  • Compatible with Hach WIMS 1.3.8 Database version

Build 85

  • Minor change to Advance Configuration to disable Additional Info button if the interface does not support additional info

Build 84

  • Fixed a bug that caused interfaces to omit reading of Hach WIMS variables in rare cases when the natural order of records in the VARDESC table did not equal to 'order by varid' on Oracle platforms(3006)

Build 83

  • Added support for importing of Additional Entry Fields. For interfaces that support this framework feature, go to Advanced Configuration / Additional Info in order to configure you conversion map (3075)
  • Added support for User Interface to display Connection String when clicking on Source Configuration / View Applied Connection String (2821)
  • Added support for User Interface to omit asking for Input Dates for interfaces where selecting dates does not make sense (2806)
  • Fixed a bug that caused Floating Point rounding to overflow on very large numbers resulting in no rounding being performed on numbers (3016)
  • Fixed a bug that caused help.chm to be improperly located by the user interface when interface executable was launched using Windows Shell command (2932)
  • Fixed a bug that caused interfaces of common type SCADA2OPSSQL to halt importing in cases when users went around the program business rules and manually (in the backend) entered OPSROOT.FACILITY.FILENAME field in lowercase (2890)

Build 54

  • Added support for Configuring and Launching a Collector Utility

Build 53

  • Added support for LIMS2OPSSQL type of framework
  • Added support for Unit Conversion

Build 48

  • Fixed an interface crash if the selected OLEDB driver could not be found (2406)
  • Added a MINUTELY mode of scheduling of automated service (2447)
  • Displays a warning message when attempting to import into collector which is linked to incorrect version of g2_lu (2505)
  • Added ability to view and edit Last Run Date for Facility UI (2626)

Build 36

  • Fixed a loophole that may have allowed interface crash when UI log listbox was about to display more than 32000 lines of log (2495)

Build 34

  • Fixed a bug that pulled up incorrect article or category when clicked on submenu Help / Chapters. Platform now requires setting of link constants for every interface custom configuration module (2488)
  • Fixed a bug that took users to incorrect link upon clicking on menu item Support / Check for new Updates (2492)

Build 27

  • Initial release to public

keywords : interface,platform,release notes,server-side, interface common framework
ID : 12033 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface

Documentation : Release notes

Build 66(8/21/2015)

  • Variable Browser relocated location path field next to variable name (4660)

Build 65(3/30/2015)

  • Variable Browser Select All button no longer selects filtered variables (4582)
  • Variable Browser now displays location path (4582)

Build 64 (7/3/2014)

  • Additional logging added (4159)
  • Added a database connection throttle allowing other processes (programs) to process events to run. (4267)
  • Variable Browser improvements - added quick filter, filter by facility. (4385)
  • Variable Browser UI improvement for Windows 7 (4466)

Build 60

  • Added support for MAXTIME and MINTIME to the import process.(4185)
  • Fixed problem importing text values.(4125)
  • Added user option setting to keep the database connection open during the entire import process.(4106)

Build 57

  • Added a global variable to CommonGlobals to allow custom notes to the stats summary at the end of a run. I added the global variable to CommonGlobals and it is used in CommonImport (4132)

Build 56

  • Added a global variable to CommonGlobals and CommonImport to keep the CustomImport object alive so its connection would stay open. We were having a problem with a special database driver hanging when it was closed. (4106)

Build 55

  • Fixed framework to properly handle Text Parameter type variables (4125)

Build 53

  • Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Build 47

  • Added logging in CommTAGFilter routine CarryLastValue when verbosity is set to 9

Build 46

  • Changed CommonImport to make sure start date is correct when using the Cache feature in Advanced Settings (only affects certain interfaces) (3261)
  • Changed CommonTAGFilter to scrutinize data returned from CustomTAGFilter (only affects certain interfaces) (3313)
  • Changed CommonTAGFilter to propogate execution error check down to lowest level, so that we can distinguish between an execution error and bad data (only affects certain interfaces) (3426)

Build 41

  • Added to CommonTypeDateManager in Common_SCADA2OPSSQL; added code to compensate for daily var that have less than 1440 min/slot (i.e., 60 min from total day) so that it would get current day if the start and stop times have passed current time (Fortress 2673)

Build 40

  • Added ability to view connection string in CustomConfig form

Build 37

  • Added ability for SCADA2OPSSQL type of interfaces to define a global configuration tree

Build 36

  • Fixed problem with statistics TIMELT, TIMEGT, and TIMEEQ not counting the very first record.

Build 34

  • Added to caching function to support the following statistics for parameters using flat file databases: TOTAL, AVERAGE, MINIMUM, MAXIMUM, FIRST, LAST, DIFF, RANGE, COUNT, INVENTORY, TIMEGT, TIMELT, and TIMEEQ
  • Added to caching function to support the following statistics for text parameters using flat file databases: MINTIME, MAXTIME, FIRST, LAST, COUNT
  • Added to caching function to support the following filter operators on filter tags when using flat file databases: =, <, >, <=, >=, <>, and CYCLESTO

(Note: consult the "Topic specific to the operation of this interface" article "Supported Variable Configuration" to see whether your interface supports these available options or not)

Build 28

  • Added ability to specify adjustment of start date in minutes when running in automated mode. This can be configured under Configuration / Automated Import Configuration (2445)
  • Added support for caching of input to accelerate interface performance of interface that rely heavily on IO (2481)
  • Added support for filtering for OLEDB types of SCADA2OPSSQL interfaces (2457)

Build 10

  • Initial Release to Public

Related Articles (See Also)
Release Notes for Hach WIMS Server-Side Interface Platform ( Category : Documentation : Release notes )

ID : 12068 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Topics specific to the operation of this interface

Contains 0 Sub-Categories and 4 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Configuration - Source Configuration Q12363 ( Type : INFO: , ID : 12406 )
Release notes for interface Q12363 ( Type : INFO: , ID : 12403 )
Supported variable configurations for interface Q12363 ( Type : HOWTO: , ID : 12405 )
Using Inteface Browser Q12394 ( Type : HOWTO: , ID : 12404 )

ID : 6Q0T3A , Online Version


Configuration - Source Configuration Q12363

Documentation : Topics specific to the operation of this interface

This is the source configuration screen for the Hach WIMS Direct Server-Side Interface to Trihedral VTS HMI. It is important to note, in order to connect to a Trihedral VTS HMI database, the Trihedral VTS ODBC driver must be installed on the computer where this interface is installed and a Data Source Name (DSN) must be available. Please see the Trihedral VTS documentation for instructions.

In order to configure source connection from the interface, click Configuration and select Source Configuration.

The next screen will display parameters to configure the Source Connection to Trihedral VTS HMI database:

  • DSN - this field specifies, in loose terms, the Data Source Name to connect to the Trihedral VTS HMI Historian database. To create a DSN:
    • Install the Trihedral VTS ODBC driver. Run VTSODBCDriverInstall.exe (provided by Trihedral) to install.
    • Open the Microsoft ODBC Administrator utility on your computer. Note: The Hach Interface is a 32-bit program and therefore requires you to use the 32-bit driver:
      • On 64-bit Operating Systems you will need to run the 32 bit ODBC Admin Utility - \Windows\SysWOW64\odbcad32.exe
      • On 32-bit Operating Systems the 32 bit ODBC Admin Utility can be found in the Administrative Tools section of your Control Panel
    • Click on System DSN tab. Create a New Data Source and select VTS ODBC Driver. Click the Finish button and the VTS ODBC Setup window will appear, fill out the information as directed by the manufacturers manual.

See http://trihedral.com/help/Content/D_LogAndReport/Dev_ConnectToODBCServer.htm for more information on how to connect to the VTScada ODBC Server.

  • User ID and Password - these fields are only mandatory if the connection to the source database requires them. These fields should be blank if not used.

  • Advanced Configuration - these permit adjustment of the command and connection timeout.

    • Connection Timeout in Seconds - how many seconds the program should wait when establishing a connection.
    • Command Timeout in Seconds - how many seconds the program should wait for a query to complete before aborting the operation.

  • Customization - this is used if additional parameters are need in order to connect to the source database.

Advanced Options was added to allow for differences in the source database. Currently there are five (5) options under Query Syntax.

  • Sub-Field to add to VALUE : the Trihedral database keeps track of values in several different ways as shown in the picture below. The SQL Query we use will look for VALUE and you have the option of which values you want the interface to use. The default value is 'Interpolated' which means it would use the field VALUE:INTERPOLATED for values. If blank, this field is not used.
    Here is a list of the known fields:
    Value:Average
    Value:Minimum
    Value:Maximum
    Value:Delta
    Value:ValueAtStart
    Value:TimeOfMin
    Value:TimeOfMax
    Value:ZToNZCount
    Value:NonZeroTime
    Value:Total
    Value:Interpolated

    NOTE: When working with a customer it was noticed that as the date span for a query using :Interpoloated, was increased, the interpolated values changed slighty. This did not occurr when using other fields like :Average.

  • Frequency of data points in seconds : this option allows you to specify the frequency of data points, in seconds. The example below shows ':60' which means we expect a data point every 60 seconds, which is our default value. If blank, this field is not used.
  • Format of the date in the TimeStamp field : this will format the date timestamp field values in a specific way so that your database will properly interpret the date values. The default value is 'yyyy-mm-dd hh:nn:ss'. If blank, then the default value is used.
  • Character(s) to put around the date field values : this is the character that is used to delimit the date value. In the example below, it is the single quote mark before and after the date values. The default is a single quote and is used if this field is blank.
  • Trihedral Database Version : there are three options 'Less than 11.5', '11.5 or greater' and '12 Wide Format. Trihedral Database Version 11.5 requires a query change within the Interface. Version 12 now stores data in a Wide Format table, so the queries must change again.
  • Wide Format Table Name: If setting Version to '12 Wide Format' a table name must be defined. This is the table to be queried.

Sample database:

To get a list of Tags: Use the VTScada statement "get columns history"

Buttons:

This button will allow you to test settings before applying or saving them.

The other buttons are explained in Using Common Buttons.

ID : 12406 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release notes for interface Q12363

Documentation : Topics specific to the operation of this interface

Version 8.0.2 (Released Dec 14, 2023)

  • Fixed problem with Browser Tab in WIMS Server Side Interface Setup not showing input fields.

Version 8.0.1 (Released Jan 10, 2022)

  • Added support for Trihedral Version 12. This version uses a wide format table for storing data.

Version 8.0.0 ( Released Nov 23, 2021)

  • Added support for CSV Export and Upload to Aquatic Compliance & Operations (ACO)
  • Upgraded to Spread 8

Version 1.1.2 (Release Feb 26th, 2020)

  • Updated Interface to work with Trihedral Database version 11.5.

Version 1.1.1 (Release Jan 9th, 2018)

  • Updated query to use Value:TimeofMIN for timestamp.
  • Fixed issue when using Filters (collect data when) if filter tag returned a low number of records for time period.
  • Update for Common Framework changes (license issues)
  • Removed Hexagora Controls

Version 1.1.0 (Released on 12/7/2015)

  • Fixed DIFF function (4623)
  • Upgraded interface to Common Framework Build 149

Version 1.0.9 (Build 106, Released on 1/24/2013)

  • Updated to the latest common framework
  • Fixed problem uploading the G2_Server_LU file

Version 1.0.8 (Build 98, Released on 5/11/12)

  • Added functionality to work with SQL Server 2012
  • Fixed issue where the Interface Last Run Date was not getting updated

Version 1.0.7 (Build 97, Released on 2/20/12)

  • Changed query to enclose the table in double quotes (4161)

Version 1.0.6 (Build 91, Released on 1/3/12)

  • Fixed problem processing data with new configuration (4199)

Version 1.0.5 (Build 89, Released on 12/13/11)

  • Fixed problem with query. Added to interface Source Configuration (Q12363.XML) the following fields:

FIELD ADDED | DEFAULT VALUE | TESTING VALUES
VALUEFIELD | :Interpolated |
DATAPOINTSPERSECOND | :60 |
DATEFORMAT | yyyy-mm-dd hh:nn:ss | mm/dd/yyyy hh:nn:ss
DATEDELIMITER | ' | #

All fields are shown in Source Configuration on the Advanced Options tab and are optional. To eliminate a field, delete all text from field. The Default Value for DATEDELIMITER is a single quote mark. Testing Values are setup values for a MS Access database using a DSN connection.

  • DATAPOINTSPERSECOND - this is the frequency of data points and can be set overall in the interfaces Source Configuration > Advanced Options tab. A variable can override this setting by simply adding the colon and value to the TAG name field in Hach WIMS Client under System Setup > Edit/View Variables on the Interface tab as shown:

This example shows our TAG value as AI001:60 and means we want a data point from the AI001 table every 60 seconds. If we wanted one data point per hour (60 seconds X 60 minutes), we could ask for 3600 by entering AI001:3600. The interface might have a default of :60 but the :3600 will override that value. One thing that will cause problems is if the tag name contains a colon other than the one specifying the data point frequency.

  • In Source Configuration, the fields mentioned above will be loaded and saved to the XML file. This is so the first time this new version is installed, it will initially put the default values in the XML file.
  • Removed the field to enter the Database Name that requested a file location of a database, this is part of the DSN connection.

Version 1.0.4 (Build 73, Released on 9/3/10)

  • Upgraded to Common Framework build 116, LIMS Framework build 34, Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Version 1.0.3 (Build 58, Released on 7/30/10)

  • Upgraded interface to Common Framework Build 100

Version 1.0.2 (Build 44, Released on 2/8/10)

  • Upgraded interface to SCADA2OPSSQL Framework Build 47

Version 1.0.1 (Build 38, Released on 10/22/09)

  • Upgraded interface to Common Framework Build 85

Version 1.0.0 (Build 19, Released on 8/11/09)

  • Initial release

ID : 12403 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Supported variable configurations for interface Q12363

Documentation : Topics specific to the operation of this interface

Supported variable configurations for the Hach WIMS Direct Server-Side Interface to Trihedral VTScada

To configure a variable to hold values from Trihedral VTScada, select System Setup > Edit/View Variables in the Hach WIMS Client and select the Interface tab.

Then click Interface To radio button. The drop down box next to the option is now enabled, click the drop down arrow and choose the Trihedral VTScada interface name (name given when configuring the interface).

Now you are ready to configure a signal tag from the Trihedral VTScada Historian. The Tag name and a statistic are all that are mandatory.

  • This is the tag name. The ? symbol (question mark) will allow you to browse the Historian database for tag names. An explanation of the browser can be found in Using Interface Browser Q12394. You can specify frequency of data points in seconds by appending the value to the end of the TAG and seperated with a colon. For example if we need to specify data points every 60 seconds for AI001, we would enter AI001:60. This will override any overall settings in the Q12363 interface under Source Configuration > Advanced Options.

  • This is a listing of all the statistics supported by this interface. This includes the following statistics for a specified time period:

NOTE: All statistics return a BLANK when no data is found, except where otherwise noted. Be aware that when data is filtered, it is possible to return a BLANK.

STATISTIC

DESCRIPTION

AVERAGE

Take the average of the data points

AVERAGEZERO

Take the average of the data points, return zero (0) if result is BLANK.

TOTAL

Take the sum total of all values

TOTALZERO

Take the sum total of all values, return zero (0) if result is BLANK.

MINIMUM

Get the minimum value

MAXIMUM

Get the maximum value

FIRST

Get the first value

LAST

Get the last value

DIFF

Calculate the difference between the first and last values. If the first value is larger than the second then it will perform the following calculation: (10 ^ (Ceil(LOG(first_value) / LOG(10)))) - first_value + last_value

Ceil will cause the value to round up

NOTE: When working with a customer it was noticed that as the date span for a query using :Interpoloated, was increased, the interpolated values changed slighty. This did not occurr when using other fields like :Average. This caused the DIFF Statistic to report incorrect numbers. To change the field the interface is querying see Q12406.

RANGE

Calculate the absolute value of the difference between the minimum and maximum values

INVENTORY

Return the total use based on a tank level signal. For example, the level is 10 feet at midnight and slowly goes down to 2 feet at 2:00 PM, then gets filled to 15 feet and slowly goes down to 8 feet at midnight. The inventory function would return ((10 - 2) + (15 - 8)) = 15.

TIMEGT(x)

Counts the number of values greater than the given number (x). If left unspecified it will use zero (0).

TIMELT(x)

Counts the number of values less than the given number (x). If left unspecified it will use zero (0).

TIMEEQ(x)

Counts the number of values equal to the given number (x). If left unspecified it will use zero (0).

CYCLE(x)

Counts the number of times a value cycles to a particular number (x).

COUNT

Counts the number of data points.

MINTIME

Returns the time of the minimum value as a text value, sets numeric value to 1 (one).

MAXTIME

Returns the time of the maximum value as a text value, sets numeric value to 1 (one).

The interface query for a tagname of AI001, getting a daily values for Aug 8, 2009 is:

select s.Value:TimeofMin as sTimeStamp, s.Value:Interpolated as sValue from AI001:60 WHERE s.Value:TimeofMin >= #8/8/2009# and s.Value:TimeofMin < #8/9/2009# and s.Value is not null

NOTE: We use TimeofMIN instead of Timestamp due to the way timestamp is stored when data is not logged. Example:

Example Data changed to 0 at 7:50 and to 1 at 7:59
Timestamp | Value:TimeofMin | Value
7:50 | 7:58 | 0
7:59 | 7:59 | 1
7:59 | 8:00 | 1
7:59 | 8:01 | 1

The records returned from the query are then loaded into an array and the statistic is calculated.

  • This is the value to multiply the result by when using parameter variable types. Commonly used to convert from one unit base to another. For example to convert gallons per minute (GPM) to gallons per day (GPD), set the scale factor to 1440 (1440 minutes per day).

  • All three fields must have numeric values or the word None (as shown). The Low Range and High Range will crop data from the source. For example to eliminate negative numbers from a particular tag, set the Low Range to 0 (zero) - this will get any values equal to or greater than 0 (zero). The Deadband is used for the statistic Inventory and will elliminate noise levels up to the value specified. For example, if you enter .5 next to Deadband, any value change of .5 or less, will be ignored.

    • Start Time will set the beginning of the time slot for this variable.
    • Stop Time will set the ending time for the time slot.
    • Same Day as Start is only used by daily variables and it means the stop time is on the same day as the start time.
    • Day After Start is also only used by daily variables and it means the stop time is a day after the start time.

    • Node Tag Field is the signal tag to filter by from the GE Fanuc Proficy Historian. You can find tag names using the ? the same way you found the signal tag above.
    • The second field is the filter operator drop down. This includes the following:

      SYMBOL

      DESCRIPTION

      < Less than, true if the value returned is less than the filter value
      > Greater than, true if the value returned is greater than the filter value
      = Equal to, true if the value returned is equal to the filter value
      <= Less than or equal to, true if the value returned is less than or equal to the filter value
      >= Greater than or equal to, true if the value returned is greater than or equal to the filter vaue
      <> Not equal, true if the value returned is not equal to the filter value

    • The last field is the filter value. The value returned from the filter tag is compared to this value.

ID : 12405 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Inteface Browser Q12394

Documentation : Topics specific to the operation of this interface

Using the interface browser for Hach WIMS Direct Server-Side Interface to Trihedral VTS HMI.

Step 1: It is important to note that in order for this browser to work, the Trihedral VTS ODBC driver must be installed on the same computer as the browser. See the Trihedral VTS HMI documentation to install and configure the driver, if needed. If there is no Data Source Name (DSN) for Trihedral VTS ODBC, run Microsoft ODBC Administrator and click on System DSN. Create a New Data Source for this and select VTS ODBC Driver. Click the Finish button and the VTS ODBC Setup window will appear, fill out the information as directed by the manufacturers documentation.

Step 2: The browser connection must be properly configured in the Hach WIMS client:

  • Select System Tables -> Entire System -> Server-Side Interface Setup.

  • If you already have an entry for the interface, select the Edit button for the Hach WIMS Direct Server-Side Interface to Trihedral VTS HMI entry to edit the browser.

If you do not have an entry, create one:

  1. Ensure the Hach WIMS Direct Server-Side Interface to Trihedral VTS HMI is installed. If it is installed on a different machine, copy the Q12363.g2_server_lu file to the computer hosting the Hach WIMS Client.
  2. Click on New Definition on the Server-Side Interface Setup (shown above) and upload the g2_server_lu file
  3. Click on New to create a new instance of the interface. Fill in the General tab information.
  • Click on the Browser tab and enter the information necessary to connect to the Trihedral VTS HMI historian. Make sure Browser Enabled is checked and click OK button.

While in the Hach WIMS client, click on System Setup ->Edit/View Variables and click the Interface tab.

You are ready to view tags from the historian. Click the button with a ? (question mark) on it as shown below:

The browser will load:

  • Interface Menu
    • Under File we have options: OK, Cancel, Find, and Exit which work exactly the same as the shortcut buttons, explained next.
    • Under Help we have options: Help which displays the help for the interface, and About which shows the application information.
  • Shortcut Buttons
    • button will send the selected tag name back to the Hach WIMS client.
    • button will cancel selecting a tag.
    • button will allow user to find a specific tag or series of tags.
    • button will bring up help information about the interface and specifically the browser.
    • button will exit the browser without making a tag selection.
  • Tag
    • This area will populate with tag names. To select a tag simply click on it and press OK button.

ID : 12404 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Special Section : Sitemap : Local Links
This CHM file contains 6 total Sub-Categories and 34 total Articles.
This page was auto-generated at 12/14/2023 2:49:03 PM

Local Links
Documentation : Introduction
Documentation : Introduction : Interface Introduction
Documentation : Introduction : Source versions tested
Documentation : How To
Documentation : How To : Change Configuration Protection Password
Documentation : How To : Configuration is Password Protected
Documentation : How To : Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
Documentation : How To : Hach WIMS Super User Credentials
Documentation : How To : Pick Hach WIMS Variables to Import Into
Documentation : How To : Step-by-Step Instructions on How to Configure Interface
Documentation : How To : Using Common Buttons
Documentation : How To : Using Main Interface Screen
Documentation : How To : Using Select Date Range to Import
Documentation : Main Menu
Documentation : Main Menu : Automated Import - Activity Log View
Documentation : Main Menu : Automated Import - Modify Last Ran Dates
Documentation : Main Menu : Automated Import - Status and Control
Documentation : Main Menu : Configuration - Advanced Configuration : Source Input Cache
Documentation : Main Menu : Configuration - Advanced Configuration: Additional Info
Documentation : Main Menu : Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
Documentation : Main Menu : Configuration - Advanced Configuration: Unit Conversion
Documentation : Main Menu : Configuration - Automated Import Configuration
Documentation : Main Menu : Configuration - Collector Configuration
Documentation : Main Menu : Configuration - Connection To Hach WIMS
Documentation : Main Menu : File - Exit
Documentation : Main Menu : File - Import All
Documentation : Main Menu : File - Import For Selected Variables
Documentation : Main Menu : Test - Source Read Test SCADA to Hach WIMS
Documentation : Main Menu : Test - Test Connection to Hach WIMS
Documentation : Main Menu : Test - Test Import All
Documentation : Main Menu : Utilities - Upload Definition File to Hach WIMS
Documentation : Release notes
Documentation : Release notes : Release Notes for Hach WIMS Server-Side Interface Platform
Documentation : Release notes : Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface
Documentation : Topics specific to the operation of this interface
Documentation : Topics specific to the operation of this interface : Configuration - Source Configuration Q12363
Documentation : Topics specific to the operation of this interface : Release notes for interface Q12363
Documentation : Topics specific to the operation of this interface : Supported variable configurations for interface Q12363
Documentation : Topics specific to the operation of this interface : Using Inteface Browser Q12394


Special Section : Articles : Local Links
This CHM file contains 34 Articles.
This page was auto-generated at 12/14/2023 2:49:03 PM

Local Links
Interface Introduction in Category Documentation : Introduction
Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL) in Category Documentation : How To
Automated Import - Modify Last Ran Dates in Category Documentation : Main Menu
Utilities - Upload Definition File to Hach WIMS in Category Documentation : Main Menu
Test - Test Import All in Category Documentation : Main Menu
Release Notes for Hach WIMS Server-Side Interface Platform in Category Documentation : Release notes
Release notes for interface Q12363 in Category Documentation : Topics specific to the operation of this interface
Source versions tested in Category Documentation : Introduction
Configuration - Advanced Configuration : Source Input Cache in Category Documentation : Main Menu
Configuration - Collector Configuration in Category Documentation : Main Menu
Test - Test Connection to Hach WIMS in Category Documentation : Main Menu
Change Configuration Protection Password in Category Documentation : How To
File - Exit in Category Documentation : Main Menu
Supported variable configurations for interface Q12363 in Category Documentation : Topics specific to the operation of this interface
Configuration - Automated Import Configuration in Category Documentation : Main Menu
File - Import All in Category Documentation : Main Menu
Test - Source Read Test SCADA to Hach WIMS in Category Documentation : Main Menu
Using Inteface Browser Q12394 in Category Documentation : Topics specific to the operation of this interface
Hach WIMS Super User Credentials in Category Documentation : How To
Automated Import - Status and Control in Category Documentation : Main Menu
Configuration - Connection To Hach WIMS in Category Documentation : Main Menu
Configuration is Password Protected in Category Documentation : How To
Using Main Interface Screen in Category Documentation : How To
Configuration - Source Configuration Q12363 in Category Documentation : Topics specific to the operation of this interface
Pick Hach WIMS Variables to Import Into in Category Documentation : How To
Step-by-Step Instructions on How to Configure Interface in Category Documentation : How To
Using Common Buttons in Category Documentation : How To
Automated Import - Activity Log View in Category Documentation : Main Menu
Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field in Category Documentation : Main Menu
Using Select Date Range to Import in Category Documentation : How To
Configuration - Advanced Configuration: Additional Info in Category Documentation : Main Menu
Configuration - Advanced Configuration: Unit Conversion in Category Documentation : Main Menu
File - Import For Selected Variables in Category Documentation : Main Menu
Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface in Category Documentation : Release notes


Sub-tree rooted at Release notes

Sub-tree rooted at Documentation : Release notes
Categories and Articles
: Release Notes for Hach WIMS Server-Side Interface Platform
: Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface


Sub-tree rooted at Introduction

Sub-tree rooted at Documentation : Introduction
Categories and Articles
: Interface Introduction
: Source versions tested


Sub-tree rooted at How To

Sub-tree rooted at Documentation : How To
Categories and Articles
: Change Configuration Protection Password
: Configuration is Password Protected
: Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
: Hach WIMS Super User Credentials
: Pick Hach WIMS Variables to Import Into
: Step-by-Step Instructions on How to Configure Interface
: Using Common Buttons
: Using Main Interface Screen
: Using Select Date Range to Import


Sub-tree rooted at Main Menu

Sub-tree rooted at Documentation : Main Menu
Categories and Articles
: Automated Import - Activity Log View
: Automated Import - Modify Last Ran Dates
: Automated Import - Status and Control
: Configuration - Advanced Configuration : Source Input Cache
: Configuration - Advanced Configuration: Additional Info
: Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
: Configuration - Advanced Configuration: Unit Conversion
: Configuration - Automated Import Configuration
: Configuration - Collector Configuration
: Configuration - Connection To Hach WIMS
: File - Exit
: File - Import All
: File - Import For Selected Variables
: Test - Source Read Test SCADA to Hach WIMS
: Test - Test Connection to Hach WIMS
: Test - Test Import All
: Utilities - Upload Definition File to Hach WIMS


Documentation
Contains 5 Sub-Categories and 0 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Categories
Introduction ( Sub-Categories : 0 , Articles : 2 )
How To ( Sub-Categories : 0 , Articles : 9 )
Main Menu ( Sub-Categories : 0 , Articles : 17 )
Release notes ( Sub-Categories : 0 , Articles : 2 )
Topics specific to the operation of this interface ( Sub-Categories : 0 , Articles : 4 )

ID : 5I8I2W , Online Version


Sub-tree rooted at Documentation
Categories and Articles
: Introduction
Introduction : Interface Introduction
Introduction : Source versions tested
: How To
How To : Change Configuration Protection Password
How To : Configuration is Password Protected
How To : Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
How To : Hach WIMS Super User Credentials
How To : Pick Hach WIMS Variables to Import Into
How To : Step-by-Step Instructions on How to Configure Interface
How To : Using Common Buttons
How To : Using Main Interface Screen
How To : Using Select Date Range to Import
: Main Menu
Main Menu : Automated Import - Activity Log View
Main Menu : Automated Import - Modify Last Ran Dates
Main Menu : Automated Import - Status and Control
Main Menu : Configuration - Advanced Configuration : Source Input Cache
Main Menu : Configuration - Advanced Configuration: Additional Info
Main Menu : Configuration - Advanced Configuration: Additional Info : Pick WIMS Facility Additional Info Field
Main Menu : Configuration - Advanced Configuration: Unit Conversion
Main Menu : Configuration - Automated Import Configuration
Main Menu : Configuration - Collector Configuration
Main Menu : Configuration - Connection To Hach WIMS
Main Menu : File - Exit
Main Menu : File - Import All
Main Menu : File - Import For Selected Variables
Main Menu : Test - Source Read Test SCADA to Hach WIMS
Main Menu : Test - Test Connection to Hach WIMS
Main Menu : Test - Test Import All
Main Menu : Utilities - Upload Definition File to Hach WIMS
: Release notes
Release notes : Release Notes for Hach WIMS Server-Side Interface Platform
Release notes : Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface
: Topics specific to the operation of this interface
Topics specific to the operation of this interface : Configuration - Source Configuration Q12363
Topics specific to the operation of this interface : Release notes for interface Q12363
Topics specific to the operation of this interface : Supported variable configurations for interface Q12363
Topics specific to the operation of this interface : Using Inteface Browser Q12394


Sub-tree rooted at Topics specific to the operation of this interface

Sub-tree rooted at Documentation : Topics specific to the operation of this interface
Categories and Articles
: Configuration - Source Configuration Q12363
: Release notes for interface Q12363
: Supported variable configurations for interface Q12363
: Using Inteface Browser Q12394